Difference between revisions of "Python/ro"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "Aceasta este o semnătură tipică a funcției")
(Updating to match new version of source page)
 
(16 intermediate revisions by 3 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
 +
<div class="mw-translate-fuzzy">
 
{{VeryImportantMessage|(November 2018)  
 
{{VeryImportantMessage|(November 2018)  
 
FreeCAD a fost proiectat inițial pentru a lucra cu Python 2. Multe funcții lucrează cu Python 3, dar unele nu funcționează. Efectuarea suportului deplin al FreeCAD Python 3 este o lucrare în desfășurare.}}
 
FreeCAD a fost proiectat inițial pentru a lucra cu Python 2. Multe funcții lucrează cu Python 3, dar unele nu funcționează. Efectuarea suportului deplin al FreeCAD Python 3 este o lucrare în desfășurare.}}
 +
</div>
  
 
==Descriere==
 
==Descriere==
  
[https://www.python.org Python] este un limbaj de programare cu scop general, care este foarte frecvent utilizat în aplicații mari pentru a automatiza anumite sarcini prin crearea de scripturi sau [[macros|macros]].
+
{{TOCright}}
 +
 
 +
[https://www.python.org Python] este un limbaj de programare cu scop general, care este foarte frecvent utilizat în aplicații mari pentru a automatiza anumite sarcini prin crearea de scripturi sau [[macros/ro|macros]].
  
 
În programul FreeCAD, codul Python poate fi folosit pentru a crea diverse elemente programabil, fără a fi nevoie să faceți clic pe interfața grafică a utilizatorului. În plus, multe instrumente și ateliere de lucru ale programului FreeCAD sunt programate în Python.
 
În programul FreeCAD, codul Python poate fi folosit pentru a crea diverse elemente programabil, fără a fi nevoie să faceți clic pe interfața grafică a utilizatorului. În plus, multe instrumente și ateliere de lucru ale programului FreeCAD sunt programate în Python.
  
A se vedea [[Introduction to Python|Introduction to Python]] pentru a afla despre limbajul de programare Python și apoi [[Python scripting tutorial|Python scripting tutorial]] și  [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]]  pentru a porni scripting-ul în FreeCAD.
+
A se vedea [[Introduction to Python/ro|Introduction to Python]] pentru a afla despre limbajul de programare Python și apoi [[Python scripting tutorial/ro|Python scripting tutorial]] și  [[FreeCAD Scripting Basics/ro|FreeCAD Scripting Basics]]  pentru a porni scripting-ul în FreeCAD.
  
 +
== Readability ==
 +
 +
<div class="mw-translate-fuzzy">
 
Atunci când se scrie codul în Python, este de preferat să se urmeze [https://www.python.org/dev/peps/pep-0008/ PEP8: Style Guide for Python Code].
 
Atunci când se scrie codul în Python, este de preferat să se urmeze [https://www.python.org/dev/peps/pep-0008/ PEP8: Style Guide for Python Code].
 +
</div>
 +
 +
These documents present explanations in a more user-friendly way:
 +
* [https://realpython.com/python-pep8/ How to Write Beautiful Python Code With PEP 8]
 +
* [https://realpython.com/documenting-python-code/ Documenting Python Code: A Complete Guide].
  
 
== Convenții ==
 
== Convenții ==
Line 19: Line 31:
  
 
{{Code|code=
 
{{Code|code=
Wire = makeWire(pointslist, closed=False, placement=None, face=None, support=None)
+
Wire = make_wire(pointslist, closed=False, placement=None, face=None, support=None)
 
}}
 
}}
  
* Arguments with key-value pairs are optional, with the default value indicated in the signature. This means that the following calls are equivalent:
+
* Argumentele cu perechi cheie-valoare sunt opționale, cu valoarea implicită indicată în semnătură. Aceasta înseamnă că următoarele apeluri sunt echivalente:
  
 
{{Code|code=
 
{{Code|code=
Wire = makeWire(pointslist, False, None, None, None)
+
Wire = make_wire(pointslist, False, None, None, None)
Wire = makeWire(pointslist, False, None, None)
+
Wire = make_wire(pointslist, False, None, None)
Wire = makeWire(pointslist, False, None)
+
Wire = make_wire(pointslist, False, None)
Wire = makeWire(pointslist, False)
+
Wire = make_wire(pointslist, False)
Wire = makeWire(pointslist)
+
Wire = make_wire(pointslist)
 
}}
 
}}
  
: In this example the first argument doesn't have a default value so it should always be included.
+
: În acest exemplu, primul argument nu are o valoare implicită, așa că trebuie întotdeauna inclus.
  
* When the arguments are given with the explicit key, the optional arguments can be given in any order. This means that the following calls are equivalent:
+
* Atunci când argumentele sunt date cu cheia explicită, argumentele opționale pot fi date în orice ordine. Aceasta înseamnă că următoarele apeluri sunt echivalente:
 
{{Code|code=
 
{{Code|code=
Wire = makeWire(pointslist, closed=False, placement=None, face=None)
+
Wire = make_wire(pointslist, closed=False, placement=None, face=None)
Wire = makeWire(pointslist, closed=False, face=None, placement=None)
+
Wire = make_wire(pointslist, closed=False, face=None, placement=None)
Wire = makeWire(pointslist, placement=None, closed=False, face=None)
+
Wire = make_wire(pointslist, placement=None, closed=False, face=None)
Wire = makeWire(pointslist, support=None, closed=False, placement=None, face=None)
+
Wire = make_wire(pointslist, support=None, closed=False, placement=None, face=None)
 
}}
 
}}
  
* Python's guidelines stress readability of code; in particular, parentheses should immediately follow the function name, and a space should follow a comma.
+
* Normele lui Python subliniază lizibilitatea codului; în special, parantezele trebuie să urmeze imediat numele funcției, iar un spațiu trebuie să urmeze după o virgulă.
  
 
{{Code|code=
 
{{Code|code=
Line 48: Line 60:
 
p2 = Vector(1, 1, 0)
 
p2 = Vector(1, 1, 0)
 
p3 = Vector(2, 0, 0)
 
p3 = Vector(2, 0, 0)
Wire = makeWire([p1, p2, p3], closed=True)
+
Wire = make_wire([p1, p2, p3], closed=True)
 
}}
 
}}
  
* If code needs to be broken over several lines, this should be done at a comma inside brackets or parentheses; the second line should be aligned with the previous one.
+
* Dacă codul trebuie să fie rupt în mai multe rânduri, acest lucru trebuie făcut cu o virgulă între paranteze pătrate sau paranteze; a doua linie trebuie aliniată cu cea anterioară.
  
 
{{Code|code=
 
{{Code|code=
Line 57: Line 69:
 
           2, 4, 5]
 
           2, 4, 5]
  
Wire = makeWire(pointslist,
+
Wire = make_wire(pointslist,
 
                 False, None,
 
                 False, None,
 
                 None, None)
 
                 None, None)
 
}}
 
}}
  
* Functions may return an object that can be used as the base of another drawing function.
+
* Funcțiile pot returna un obiect care poate fi folosit ca bază a unei alte funcții de desen.
 
{{Code|code=
 
{{Code|code=
Wire = makeWire(pointslist, closed=True, face=True)
+
Wire = make_wire(pointslist, closed=True, face=True)
Window = makeWindow(Wire, name="Big window")
+
Window = make_window(Wire, name="Big window")
 
}}
 
}}
  
Line 72: Line 84:
 
Funcțiile Python sunt stocate în fișiere numite module. Înainte de a utiliza orice funcție din modulul respectiv, modulul trebuie inclus în document cu instrucțiunea {{incode|import}}.
 
Funcțiile Python sunt stocate în fișiere numite module. Înainte de a utiliza orice funcție din modulul respectiv, modulul trebuie inclus în document cu instrucțiunea {{incode|import}}.
  
 +
<div class="mw-translate-fuzzy">
 
Aceasta creează funcții prefixate, {{incode|module.function()}}.  
 
Aceasta creează funcții prefixate, {{incode|module.function()}}.  
 
Acest sistem previne conflictele de nume cu funcții numite aceleași, dar care provin de la diferite module.
 
Acest sistem previne conflictele de nume cu funcții numite aceleași, dar care provin de la diferite module.
 
De exemplu, două funcții {{incode|Arch.makeWindow()}} și {{incode|myModule.makeWindow()}} pot coexista fără probleme.
 
De exemplu, două funcții {{incode|Arch.makeWindow()}} și {{incode|myModule.makeWindow()}} pot coexista fără probleme.
 +
</div>
  
 
Exemplele complete ar trebui să includă importurile necesare și funcțiile prefixate.
 
Exemplele complete ar trebui să includă importurile necesare și funcțiile prefixate.
  
 
{{Code|code=
 
{{Code|code=
import FreeCAD, Draft
+
import FreeCAD as App
 +
import Draft
  
p1 = FreeCAD.Vector(0, 0, 0)
+
p1 = App.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1, 1, 0)
+
p2 = App.Vector(1, 1, 0)
p3 = FreeCAD.Vector(2, 0, 0)
+
p3 = App.Vector(2, 0, 0)
Wire = Draft.makeWire([p1, p2, p3], closed=True)
+
Wire = Draft.make_wire([p1, p2, p3], closed=True)
 
}}
 
}}
  
 
{{Code|code=
 
{{Code|code=
import FreeCAD, Draft, Arch
+
import FreeCAD as App
 +
import Draft
 +
import Arch
  
p1 = FreeCAD.Vector(0, 0, 0)
+
p1 = App.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1, 0, 0)
+
p2 = App.Vector(1, 0, 0)
p3 = FreeCAD.Vector(1, 1, 0)
+
p3 = App.Vector(1, 1, 0)
p4 = FreeCAD.Vector(0, 2, 0)
+
p4 = App.Vector(0, 2, 0)
 
pointslist = [p1, p2, p3, p4]
 
pointslist = [p1, p2, p3, p4]
  
Wire = Draft.makeWire(pointslist, closed=True, face=True)
+
Wire = Draft.make_wire(pointslist, closed=True, face=True)
Structure = Arch.makeStructure(Wire, name="Big pillar")
+
Structure = Arch.make_structure(Wire, name="Big pillar")
 
}}
 
}}
  
[[Category:API Documentation]]
+
{{Powerdocnavi{{#translation:}}}}
[[Category:Developer Documentation]]
+
[[Category:Developer Documentation{{#translation:}}]]
[[Category:Poweruser Documentation]]
+
[[Category:API{{#translation:}}]]
[[Category:User Documentation]]
+
[[Category:Python Code{{#translation:}}]]
 +
[[Category:Glossary{{#translation:}}]]

Latest revision as of 09:22, 17 October 2021

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский
(November 2018) FreeCAD a fost proiectat inițial pentru a lucra cu Python 2. Multe funcții lucrează cu Python 3, dar unele nu funcționează. Efectuarea suportului deplin al FreeCAD Python 3 este o lucrare în desfășurare.

Descriere

Python este un limbaj de programare cu scop general, care este foarte frecvent utilizat în aplicații mari pentru a automatiza anumite sarcini prin crearea de scripturi sau macros.

În programul FreeCAD, codul Python poate fi folosit pentru a crea diverse elemente programabil, fără a fi nevoie să faceți clic pe interfața grafică a utilizatorului. În plus, multe instrumente și ateliere de lucru ale programului FreeCAD sunt programate în Python.

A se vedea Introduction to Python pentru a afla despre limbajul de programare Python și apoi Python scripting tutorial și FreeCAD Scripting Basics pentru a porni scripting-ul în FreeCAD.

Readability

Atunci când se scrie codul în Python, este de preferat să se urmeze PEP8: Style Guide for Python Code.

These documents present explanations in a more user-friendly way:

Convenții

În această documentație, ar trebui urmate câteva convenții pentru exemplele Python.

Aceasta este o semnătură tipică a funcției

Wire = make_wire(pointslist, closed=False, placement=None, face=None, support=None)
  • Argumentele cu perechi cheie-valoare sunt opționale, cu valoarea implicită indicată în semnătură. Aceasta înseamnă că următoarele apeluri sunt echivalente:
Wire = make_wire(pointslist, False, None, None, None)
Wire = make_wire(pointslist, False, None, None)
Wire = make_wire(pointslist, False, None)
Wire = make_wire(pointslist, False)
Wire = make_wire(pointslist)
În acest exemplu, primul argument nu are o valoare implicită, așa că trebuie întotdeauna inclus.
  • Atunci când argumentele sunt date cu cheia explicită, argumentele opționale pot fi date în orice ordine. Aceasta înseamnă că următoarele apeluri sunt echivalente:
Wire = make_wire(pointslist, closed=False, placement=None, face=None)
Wire = make_wire(pointslist, closed=False, face=None, placement=None)
Wire = make_wire(pointslist, placement=None, closed=False, face=None)
Wire = make_wire(pointslist, support=None, closed=False, placement=None, face=None)
  • Normele lui Python subliniază lizibilitatea codului; în special, parantezele trebuie să urmeze imediat numele funcției, iar un spațiu trebuie să urmeze după o virgulă.
p1 = Vector(0, 0, 0)
p2 = Vector(1, 1, 0)
p3 = Vector(2, 0, 0)
Wire = make_wire([p1, p2, p3], closed=True)
  • Dacă codul trebuie să fie rupt în mai multe rânduri, acest lucru trebuie făcut cu o virgulă între paranteze pătrate sau paranteze; a doua linie trebuie aliniată cu cea anterioară.
a_list = [1, 2, 3,
          2, 4, 5]

Wire = make_wire(pointslist,
                False, None,
                None, None)
  • Funcțiile pot returna un obiect care poate fi folosit ca bază a unei alte funcții de desen.
Wire = make_wire(pointslist, closed=True, face=True)
Window = make_window(Wire, name="Big window")

Importuri

Funcțiile Python sunt stocate în fișiere numite module. Înainte de a utiliza orice funcție din modulul respectiv, modulul trebuie inclus în document cu instrucțiunea import.

Aceasta creează funcții prefixate, module.function(). Acest sistem previne conflictele de nume cu funcții numite aceleași, dar care provin de la diferite module. De exemplu, două funcții Arch.makeWindow() și myModule.makeWindow() pot coexista fără probleme.

Exemplele complete ar trebui să includă importurile necesare și funcțiile prefixate.

import FreeCAD as App
import Draft

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1, 1, 0)
p3 = App.Vector(2, 0, 0)
Wire = Draft.make_wire([p1, p2, p3], closed=True)
import FreeCAD as App
import Draft
import Arch

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1, 0, 0)
p3 = App.Vector(1, 1, 0)
p4 = App.Vector(0, 2, 0)
pointslist = [p1, p2, p3, p4]

Wire = Draft.make_wire(pointslist, closed=True, face=True)
Structure = Arch.make_structure(Wire, name="Big pillar")